#
# osc-plugin-manager.spec
#

#
#  Copyright (C) 2008, 2010 Oracle.  All rights reserved.
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public
#  License as published by the Free Software Foundation, version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  General Public License for more details.
#
#  You should have received a copy of the GNU General Public
#  License along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 021110-1307, USA
#

#
# Oracle Storage Connect plugin infrastructure .spec file
#

Vendor:     Oracle America
Summary:    Oracle Storage Connect Plugin Infrastructure
URL:        http://oss.oracle.com/

License:    GPLv2 / Oracle Specification, Development and Distribution License
BuildArch:  noarch

%define     dist                    .el6
%define     build_dir               %{_builddir}/%{name}-%{version}
%define     install_dir             /opt/storage-connect
%define     sharedoc_dir            /usr/share/doc
%define     plugin_dir              /opt/storage-connect/plugins

Name:       osc-plugin-manager
Version:    1.2.9
Release: 32%{dist}.2
Group:      Storage/StorageConnect
Source0:    %{name}-%{version}.tar.bz2
Source1:    StorageConnectDevGen.pdf
Source2:    StorageConnectDevIFS.pdf
Source3:    StorageConnectDevISA.pdf
BuildRoot:  %{_tmppath}/%{name}-%{version}
Requires:   sg3_utils >= 1.25-1 lsscsi

Patch1:    dummy.patch
Patch2: rev1281.patch
Patch3: iscsi_multipath.patch
Patch4: discovery_log_errors.patch
Patch5: rev1321.patch
Patch6: rev1352.patch
Patch7: rev1372.patch
Patch8: rev1378.patch
Patch9: rev1420.patch
Patch10: refresh_no_targets.patch
Patch11: bug16709442_backout.patch
Patch12: stop_all_targets.patch
Patch13: rev1453.patch
Patch14: rev1459.patch
Patch15: rev1513.patch
Patch16: ignore_iscsid.patch
Patch17: rev1530.patch
Patch18: fix_for_login_error.patch
Patch19: iscsi-target-lists.patch
Patch20: rev1544.patch
Patch21: fast-refresh.patch
Patch22: ignore_no_sess.patch
Patch23: rev1564.patch
Patch24: access_port_linux.patch
Patch25: access_solaris.patch
Patch26: rev1587.patch
Patch27: rev1593.patch
Patch28: rev1599.patch
Patch29: rev1605.patch
Patch30: rev1611.patch
Patch31: rev1621.patch
Patch32: passive_lun.patch
Patch33: disable_que_flush_devmap.patch
Patch34: rev1697.patch
Patch35: anz_perf.patch
# End Oracle Patches

%description
Oracle Storage Connect plug-in infrastructure required by the Storage Connect
Plugins.

%package devel
Summary:    Oracle Storage Connect Plugin Development
Group:      Storage/StorageConnect/Development
Requires:   osc-plugin-manager

%description devel
Oracle Storage Connect plugin development documentation and samples.

%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch14 -p0
%patch15 -p0
%patch16 -p0
%patch17 -p0
%patch18 -p0
%patch19 -p0
%patch20 -p0
%patch21 -p0
%patch22 -p0
%patch23 -p0
%patch24 -p0
%patch25 -p0
%patch26 -p0
%patch27 -p0
%patch28 -p0
%patch29 -p0
%patch30 -p0
%patch31 -p0
%patch32 -p0
%patch33 -p0
%patch34 -p0
%patch35 -p0

cp %{SOURCE1} docs/pdf/
cp %{SOURCE2} docs/pdf/
cp %{SOURCE3} docs/pdf/

%build

%install
rm -fr %{buildroot}/*
install -d -m0755 %{buildroot}/%{install_dir}
install -d -m0755 %{buildroot}/%{install_dir}/bin
install -d -m0755 %{buildroot}/%{install_dir}/docs
install -d -m0755 %{buildroot}/%{install_dir}/plugins
install -d -m0755 %{buildroot}/%{install_dir}/samples
install -d -m0755 %{buildroot}/%{install_dir}/tests
install -d -m0755 %{buildroot}/%{sharedoc_dir}/%{name}
install -d -m0755 %{buildroot}/%{sharedoc_dir}/%{name}-devel
install -d -m0755 %{buildroot}/%{plugin_dir}
cp %{build_dir}/usrshare/COPYING  %{buildroot}/%{sharedoc_dir}/%{name}/.
cp %{build_dir}/usrshare/COPYING  %{buildroot}/%{sharedoc_dir}/%{name}-devel/.
rm -fr %{build_dir}/usrshare
mv %{build_dir}/*                 %{buildroot}/%{install_dir}/.
# Do not package the files to support for solaris build
rm -fr %{buildroot}/%{install_dir}/solaris
rm -f %{buildroot}/%{install_dir}/san_solaris.py*

%clean
rm -fr %{buildroot}

%files devel
%defattr(0755, root, root, 0755)
%attr(0755, root, root) %{install_dir}/bin/PluginRunner.py*
%{install_dir}/docs
%{install_dir}/samples
%{install_dir}/tests
%doc %{sharedoc_dir}/%{name}-devel/COPYING
%docdir %{install_dir}/docs

%files
%defattr(0755, root, root, 0755)
%attr(0755, root, root) %{install_dir}/PluginManager.py*
%attr(0755, root, root) %{install_dir}/OSC*.py*
%attr(0755, root, root) %{install_dir}/PyEnum.py*
%attr(0755, root, root) %{install_dir}/san_linux.py*
%attr(0755, root, root) %{install_dir}/bin/announce*
%attr(0755, root, root) %{install_dir}/plugins/*
%doc %{sharedoc_dir}/%{name}/COPYING

%changelog
* Thu Dec 18 2014 William Roche <william.roche@oracle.com> - 1.2.9-32.el6.2 
- BACKPORT 19248457 - LONG SERVER DISCOVERY TIME (SEVERAL HOURS) WITH LARGE NUMBER OF DISKS
  Signed-off-by: William Roche <william.roche@oracle.com> [bug 20158892]  

* Tue Oct 21 2014 William Roche <william.roche@oracle.com> - 1.2.9-32%{dist}.1 
- Signed-off-by: William Roche <william.roche@oracle.com> [bug 18371968] [bug -] [bug INSTALLATION] [bug OF] [bug ORACLE] [bug VM] [bug AGENT] [bug FOR] [bug SPARC] [bug FAILS] [bug ON] [bug S11.2]  

* Fri May 09 2014 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 1.2.9-32 
- Signed-off: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off: Cathy Avery <cathy.avery@oracle.com>
  Signed-off: Firas Azar <firas.azar@oracle.com> [bug 18622778]  

* Wed Mar 19 2014 Cathy Avery <cathy.avery@oracle.com> - 1.2.9-31 
- Ignore input/output errors. [bug 18366957]  

* Wed Mar 12 2014 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.9-30 
- Updated the ISA doc to the revised 1.2.10 spec version 

* Thu Mar 06 2014 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.9-29 
- Updated docs to 1.2.10 

* Wed Mar 05 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.2.9-28 
- Bug 18353378 - REFRESHING A DISK WITH NO LABEL FAILS
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Feb 07 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.2.9-27 
- Bug 18197171 - CREATING FS FAILS ON DISK WITH NO PAGE83 NAA IDENTIFIER
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Jan 24 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.2.9-26 
- Bug 18119396 - ISCSI LOGIN FAILURE AFTER STORAGE ARRAY DELETE / CREATE
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Jan 16 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.2.9-25 
- Bug 18083951 - REFRESHING MULTIPATHED DISKS FAIL IF MPXIO IS DISABLED
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Jan 15 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.2.9-24 
- ug 18071603 - PATH FAILED TO COME BACK UP AFTER REMAPPING LUN ON ARRAY
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Jan 07 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.2.9-23 
- Bug 17986421 - WRONG PORTAL IP GIVEN FOR DISCOVERED LUNS ON AX100I
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Dec 05 2013 Cathy Avery <cathy.avery@oracle.com> - 1.2.9-22 
- Added new access_port changes to solaris. 

* Thu Dec 05 2013 Cathy Avery <cathy.avery@oracle.com> - 1.2.9-21 
- Added new access_port format and new target list port entry. 

* Tue Nov 12 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.2.9-20 
- Bug 17545563 - WRONG TARGET NAME SELECTION LEADS TO ISCSI LOGIN FAILURE
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Nov 11 2013 Cathy Avery <cathy.avery@oracle.com> - 1.2.9-19 
- Ignore no session errors. [bug 17775806]  

* Thu Nov 07 2013 Cathy Avery <cathy.avery@oracle.com> - 1.2.9-18 
- Refresh now issues a blanket rescan for iscsi targets and luns. [bug 17754037]  

* Mon Oct 28 2013 Cathy Avery <cathy.avery@oracle.com> - 1.2.9-17 
- There are a couple of changes in this patch.
  1) When there are more than 50 targets discovered we login to every target on that portal at once.Bug 17635879
  2) Fixed a chap issue where the username, password was coming from the access_host instead of the access_descriptors
  3) If a send targets returns a target that does not have the address of the supplied access_portal we log that the
  target will be ignored instead of raising an exception. bug 17595085 

* Tue Oct 01 2013 Cathy Avery <cathy.avery@oracle.com> - 1.2.9-16 
- This is the server-side support for doing per-target login/logout on iSCSI 

* Tue Oct 01 2013 Cathy Avery <cathy.avery@oracle.com> - 1.2.9-15 
-  [bug 17531100]  

* Mon Sep 30 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.2.9-14 
- calling `subprocess.Popen()` with `close_fds=True`
  Problem:
  - Fork a process without closing file descriptors will result in the child process holding all parent opened file descriptors.
  - A child of Agent XMLRPC Daemon is holding the socket port 8899.
  - Agent wants to restart XMLRPC Daemon upon `take_ownership()` and after `release_ownership()` : so it cannot bind to port 8899 any more.
  - The fix is to always calling `subprocess.Popen()` with `close_fds=True`.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 17533127]  

* Wed Sep 25 2013 Cathy Avery <cathy.avery@oracle.com> - 1.2.9-13 
- Added search for 'Starting iscsid'. This new output for 6u4 was corrupting the target list. [bug 17347240]  

* Wed Sep 18 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.2.9-12 
- Bug 17329145 - ISCSI_LOGIN() FAILS WHEN CALLED WITH AN EMPTY TARGET LIST
  Bug 17322203 - AGENT FAILS TO DISCOVER EQUALLOGIC ISCSI TARGET
  Bug 17314620 - LOGIN FAILURE DURING STORAGE ARRAY VALIDATION ON SPARC
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed May 15 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.2.9-11 
- Bug 16814578 - STORAGE PLUGIN START - TARGET LOGIN FAILED: ISCSIADM: NO RECORDS FOUND
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu May 09 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.2.9-10 
- make iSCSI code modular
  SPARC - add iSCSI support
  SPARC - change LUN identification to be compatible with Linux/x86
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Cathy Avery <cathy.avery@oracle.com> 

* Wed May 08 2013 Cathy Avery <cathy.avery@oracle.com> - 1.2.9-9 
- Fixed stop from deleting target list. [bug 16776104]  

* Thu May 02 2013 Cathy Avery <cathy.avery@oracle.com> - 1.2.9-8 
-  

* Thu May 02 2013 Cathy Avery <cathy.avery@oracle.com> - 1.2.9-7 
- refresh no longer throws an exception for no targets found. It just logs an error and returns. [bug 16709442]  

* Mon Apr 22 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.2.9-6 
- SPARC - FC refresh does not always work when a port is not online
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Apr 10 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.2.9-5
- FC refresh should remove offline luns on SPARC
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Apr 10 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.2.9-4
- limit support for FC disks on SPARC to MPxIO devices
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Apr 10 2013 Jingdong Lu <jingdong.lu@oracle.com> - 1.2.9-3
- update file sections and exculde solaris files

* Fri Apr 10 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.2.9-2 
- add modules for OS specific SAN functions
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Cathy Avery <cathy.avery@oracle.com> 

* Wed Apr 03 2013 Shu Li <shu.li@oracle.com> - 1.2.9-1
- update docutment for 1.2.9 [bug 16575587]

* Thu Nov 01 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.2.8-26 
- Bug 14846665 - ovs sparc packages should not use the ldoms publisher
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Oct 17 2012 Cathy Avery <cathy.avery@oracle.com> - 1.2.8-25 
- Remove exceptions during discovery [bug 14769313]  

* Fri Oct 05 2012 Cathy Avery <cathy.avery@oracle.com> - 1.2.8-24 
- added support for iscsi multipath 

* Mon Sep 24 2012 Srinivas Maturi <srinivas.maturi@oracle.com> - 1.2.8-23 
- Do not package the files to support for solaris build

* Mon Sep 24 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.2.8-22 
- Solaris build and package support
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Liam Merwick <liam.merwick@oracle.com> 

* Thu Jun 07 2012 Cathy Avery <cathy.avery@oracle.com> - 1.2.8-21 
- Stop now deletes the discovery record which will in turn delete all its target records. [bug 13968454] 

* Fri Apr 13 2012 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.8-20 
- Changed the IStorageArrayPlugin.refresh() to wait for the lip to be done
  before issueing the next one, on the Cisco UCS blades this can result in
  kernel panics or the file system flipped to read only.
  This is done as a workaround for multiple bugs 
  Oracle-bug: 13542139 

* Wed Feb 29 2012 Cathy Avery <cathy.avery@oracle.com> - 1.2.8-19 
- Remove fchost patches 

* Wed Feb 29 2012 Cathy Avery <cathy.avery@oracle.com> - 1.2.8-18 
- Send io to devices after multipath reload to clean device mapper queuing. [bug 13795158] 

* Fri Feb 24 2012 Cathy Avery <cathy.avery@oracle.com> - 1.2.8-17
- Added deviceSizeRefresh as first step of deviceResize.
  Merged 3.0.3 patches fc_host.patch,offline_fc_host.patch [bug 13774291] 

* Mon Feb 13 2012 Cathy Avery <cathy.avery@oracle.com> - 1.2.8-15 
- Changed incorrect log message
  patch-name: fix_log_text 

* Tue Jan 31 2012 Cathy Avery <cathy.avery@oracle.com> - 1.2.8-14 
- Better sdX parsing 

* Tue Jan 24 2012 Cathy Avery <cathy.avery@oracle.com> - 1.2.8-13 
- Removed exception in deviceTeardown when device does not exist. 

* Fri Jan 20 2012 Cathy Avery <cathy.avery@oracle.com> - 1.2.8-12 
- Added powerpath support 

* Sat Jan 14 2012 Joe Jin <joe.jin@oracle.com> - 1.2.8-11
- Dont throw IO error exception if fc_host port_state is not online 
  or active when issue LIP.

* Thu Jan 05 2012 Luyun Xie <luyun.xie@oracle.com> - 1.2.8-10
- Block the device for root partition when rescan fc_host

* Mon Oct 03 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.8-9 
- Changes for sccaller removal [bug sccaller_removal] 

* Tue Aug 02 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.8-8 
- Added session chap info in start function [bug 12662570] 

* Wed Jul 13 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.8-7 
- Fix vendors to vendor 

* Tue Jul 12 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.8-6 
- Added check for assumed sys fs entries in refress. Ex issue_lip 

* Fri Jul 01 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.8-5 
-  [bug 12551165] 

* Thu Jun 16 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.8-4 
- Added device resize [bug 12620020] 

* Fri Jun 10 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.8-3 
- Changed the scsi bus refresh to happen for all scsi protocols (fc/iscsi & local) 

* Thu Jun 02 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.8-2 
- discover filters out targets by access_host
  Oracle_Bug:12614246 

* Fri May 06 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.8-1 
- Partner release 1.2.8 

* Thu May 05 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-29 
- Fixed comment for file list 

* Thu Apr 28 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.7-28 
- Refresh complains if there are no fc_host and will throw an exception durring the mulipath remap if there are no luns. Now checks to see if fc_hosts exists and no long throws remap exception but prints the error. [bug 12378695] 

* Sun Apr 10 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.7-27 
- Added mulipath lun uuid from page 83 input makeMPPage83FromRawPage83. 

* Thu Apr 07 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.7-26 
- Change as per core request /dev/mpath to /dev/mapper 

* Thu Mar 31 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.7-25 
- Added plugin cache support. 

* Mon Mar 28 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.7-24 
- Added async support 

* Wed Mar 23 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.7-23 
- Backed out target login change. 

* Mon Mar 21 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.7-22 
- Change to iscsiadm login to target to enable simultaneous ghost logins. Fix to
  getPage83FromMPDev to import IPlugin. 

* Fri Mar 11 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.7-21 
- In updateSERecords path element was not a list. 

* Thu Mar 10 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.7-20 
- Fix for lun destroy. 

* Tue Mar 08 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.7-19 
- Added implementation for updateSERecord. 

* Sat Feb 26 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.7-18 
- Changed teardown device to page83_id 

* Thu Feb 24 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.7-17 
- Added device tear down. 

* Mon Feb 21 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.7-16 
- Added exception FileSystemAlreadyMountedEx 

* Mon Jan 31 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-15 
- Changed so that verbose option raise the exceptions all the way up for debugging purposes 

* Mon Jan 31 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-14 
- Added 2>/dev/null for rmdir.... 

* Thu Jan 27 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-13 
- Added the require_cluster capability for file system plugins 

* Fri Jan 14 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-12 
- Fixed problem where max_access_entries are not correctly being used... 

* Thu Jan 13 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-11 
- Updated the tests to match the 1.2.7 spec version 

* Wed Jan 12 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-10 
- Changed the device name regex to be more flexible to allow for local devices as well 

* Mon Jan 10 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-9 
- Added the destroy call to the IFS plugin call list 

* Mon Jan 10 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-8 
- doc update for 1.2.7 
- Update StorageConnectDevGen.pdf 
- Update StorageConnectDevIFS.pdf 
- Update StorageConnectDevISA.pdf 

* Wed Jan 05 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-7 
- Doc updates 
- Update StorageConnectDevGen.pdf 
- Update StorageConnectDevIFS.pdf 
- Update StorageConnectDevISA.pdf 

* Wed Jan 05 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-6 
- Changed filesys_path to access_path for networked file systems... 

* Tue Jan 04 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-5 
- Added FS_STATES 

* Thu Dec 23 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-4  
- Update StorageConnectDevGen.pdf 
- Update StorageConnectDevIFS.pdf 
- Update StorageConnectDevISA.pdf 

* Wed Dec 22 2010 Joel Becker <joel.becker@oracle.com> - 1.2.7-3 
- OSCPlugin: Remove dead 'filesys_path' key.
  The filesys_path key is now backing_device, but the list of required
  fields still specified it.
  Signed-off-by: Joel Becker <joel.becker@oracle.com> 

* Thu Dec 16 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-2 
- Fixed problem where PM does not check versions 

* Thu Dec 16 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-1
- Update

* Thu Dec 16 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.4-11 
- Added BACKING_DEVICE_TYPES enums
  patch:add-backing-device-types-enum.patch 

* Thu Dec 16 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.4-10 
- Update to version 1.27 of the spec... 
- Update StorageConnectDevGen.pdf 
- Update StorageConnectDevIFS.pdf 
- Update StorageConnectDevISA.pdf 

* Tue Dec 07 2010 Joel Becker <joel.becker@oracle.com> - 1.2.4-9 
- OSCCache: Document the caching API
  Add a simple description of the caching API.
  Signed-off-by: Joel Becker <joel.becker@oracle.com> 

* Mon Dec 06 2010 Joel Becker <joel.becker@oracle.com> - 1.2.4-7 
- OSCCache: Introduce a basic cache.
  This is a simple memory cache that honors the protocol described in the
  OSC Plug-in documentation.  It does not persist across process
  boundaries.
  OSCPlugin uses the class OSCDefaultCache as a default value for
  IPlugin.cache.  Thus any plug-in can always rely on the caching
  functions.  Most applications should provide their own, smarter cache in
  IPlugin.cache.
  It lives in its own file because OSCPlugin cannot load OSCPluginUtils
  due to circular dependancies.
  Also included is a simple unit test.
  Signed-off-by: Joel Becker <joel.becker@oracle.com> 

* Fri Dec 03 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.4-6 
- Fixes as per feedback from partners 

* Mon Nov 01 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.4-5 
- Fixed index out of range problem with code determining multipath slave devices 

* Fri Oct 22 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.4-4 
- - Added --script-options to PluginRunner
  - Added clean-first option to BasicPluginTests
  - Fixed problem where test does not wait for refresh to do its work
  - Fixed iSCSI login issue when target is available on multiple networks 

* Mon Oct 18 2010 Cathy Avery <cathy.avery@oracle.com> - 1.2.4-3 
- Added shared_path option to mount and mount_record 

* Fri Oct 15 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.4-2 
- Added the create_mount_point and destroy_mount_point_options to mount and unmount 

* Thu Oct 07 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.4-1 
- Update to spec v 1.24 
- Update StorageConnectDevGen.pdf 
- Update StorageConnectDevIFS.pdf 
- Update StorageConnectDevISA.pdf 

* Thu Oct 07 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.3-5 
- Added the iSCSI stop() call.. 

* Wed Oct 06 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.3-4 
- Updated tests to support iSCSI as well as allowing PluginRunner to dump tracebacks 

* Wed Sep 15 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.3-3 
- Updated to use the approved license from Edward Screven... 

* Tue Sep 14 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.3-2 
- Updated licenses 

* Mon Sep 13 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.3-1
- v1.23 

* Sat Sep 11 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-16 
- epydoc updates 

* Sat Sep 11 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-15 
- Fixes to allow multiline input... 

* Sat Sep 11 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-14  
- Update StorageConnectDevGen.pdf 
- Update StorageConnectDevIFS.pdf 
- Update StorageConnectDevISA.pdf 

* Thu Sep 09 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-13 
- Added copy command 

* Sat Sep 04 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-12 
- Sync up to version 1.2.2 (renameAccessGroup) 

* Tue Aug 31 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-11 
- Fixed plugin_cache fields. Updated API pydoc. 

* Tue Aug 31 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-10 
- Added the new_size param to the ISA resize call 

* Sun Aug 29 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-9 
- Fixed SE_STATES 

* Fri Aug 27 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-8 
- Package update

* Fri Aug 27 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-7 
- Docs regen with SE_UPDATES changed 

* Fri Aug 27 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-6  
- Update StorageConnectDevGen.pdf 

* Thu Aug 26 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-5 
- Fixed a typo 

* Tue Aug 24 2010 Joel Becker <joel.becker@oracle.com> - 1.2.1-4 
- OSCPlugin: Fix exception initializations.
  IPluginException __init__() functions need to initialize their parent
  classes.  This allows pickling of the exceptions to work.
  Signed-off-by: Joel Becker <joel.becker@oracle.com> 

* Mon Aug 23 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-3 
- Added a check to the import exception since Python 2.4 does not have a message key in the exception classes...
  patch:python24-braindead-changes 

* Mon Aug 23 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-2 
- Make the FS naming consistent
  patch-name:fs-naming 

* Wed Aug 18 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.0-12  
- Update StorageConnectDevGen.pdf 
- Update StorageConnectDevIFS.pdf 
- Update StorageConnectDevISA.pdf 

* Wed Aug 18 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.0-11 
- Added SE_STATES for actual SE states 

* Wed Aug 18 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.0-10 
- Remove StringReader, should rather use StringIO or cStringIO 

* Wed Aug 18 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.0-9 
- Changed "" to "None" for help text fields since the discovery code cannot seem to send empty strings correctly 

* Tue Aug 17 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.0-8 
- Changed BlockBasedFileSystem to LocalFileSystem, removed fs_type from
  fs_record 
- Update StorageConnectDevGen.pdf 
- Update StorageConnectDevIFS.pdf 
- Update StorageConnectDevISA.pdf 

* Tue Aug 17 2010 Joel Becker <joel.becker@oracle.com> - 1.2.0-7 
- OSCPluginUtils: Add getInitiatorNames()
  Parse /etc/iscsi/initiatorname.iscsi to return the available initiator
  names.
  Signed-off-by: Joel Becker <joel.becker@oracle.com> 

* Tue Aug 17 2010 Joel Becker <joel.becker@oracle.com> - 1.2.0-6 
- OSCPluginUtils: Add getPortNames()
  Return the port WWNs for FibreChannel HBAs.
  Signed-off-by: Joel Becker <joel.becker@oracle.com> 

* Fri Aug 13 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.0-5 
- Updated to spec to 1.21BETA.
  Following changes in the spec:
  + Added the ss_extra_info_help, se_extra_info_help, fs_extra_info_help and
  file_extra_info_help
  + Added filesys_name for IFileSystemPlugin to set the display name for the
  file system
  + Changed OCFSFileSystem to BlockBasedFileSystem to allow for other block
  based file system like ZFS
  + Couple of doc errors 
- Update StorageConnectDevGen.pdf 
- Update StorageConnectDevIFS.pdf 
- Update StorageConnectDevISA.pdf 

* Tue Aug 10 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.0-4  
- Update StorageConnectDevGen.pdf 
- Update StorageConnectDevIFS.pdf 
- Update StorageConnectDevISA.pdf 

* Thu Jul 15 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.0-3 
- Added --show-plugins option PluginRunner 

* Thu Jul 15 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.0-2 
- Changed PluginManager to not look at .* files 

* Thu Jul 02 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.0-1 
- Sync up with revision 1.2 BETA of spec

* Tue Jun 29 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-27 
- Changed path regex 

* Fri Jun 18 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-25 
- Fixed missing gettext import 

* Thu Jun 17 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-24 
- Changed storage_names list to storage_name string 

* Tue Jun 08 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-22 
- Another fix 

* Mon Jun 07 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-21 
- Defined the iscsiadm variable 

* Fri Jun 04 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-20 
- Updated 

* Fri Jun 04 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-19 
- Fixed sample spec and two bugs in pluginrunner 

* Fri Jun 04 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-18 
- Added the BasicTests 

* Thu Jun 03 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-17 
- Added mount records 
- Update StorageConnectDevGen.pdf 
- Update StorageConnectDevIFS.pdf 
- Update StorageConnectDevISA.pdf 

* Thu Jun 03 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-16 
- IFS spec update... Introduce the mount point records 

* Wed Jun 02 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-15  
- Update StorageConnectDevGen.pdf 
- Update StorageConnectDevIFS.pdf 
- Update StorageConnectDevISA.pdf 

* Wed Jun 02 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-14 
- Fixed __required_methods__ for IFS 

* Wed Jun 02 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-13 
- Lots of changes to the IFS side of things... Spec and doc update 

* Wed Jun 02 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-12 
- Misc fixes 

* Fri May 28 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-11 
- Some more fixin's 

* Thu May 27 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-10 
- Some more fixin's 

* Fri May 14 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-9 
- Checkpoint 

* Fri May 07 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-8 
- Introduction of PluginRunner (replacing PluginTest) 

* Thu Apr 22 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-7 
- Added the OSCPlugin import 

* Sun Apr 18 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-6 
- Added exception handling etc. 

* Thu Apr 08 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-5 
- Remove the NetApp sample completely 
- Update StorageConnectDevGen.pdf 
- Update StorageConnectDevIFS.pdf 
- Update StorageConnectDevISA.pdf 

* Tue Mar 29 2010 Wiekus Beukes <wiekus.beukes@oracle.com> 1.0.9-4
- Repackage for daily build system

* Tue Mar 2 2010 Wiekus Beukes <wiekus.beukes@oracle.com> 1.0.9-3
- Removed the ISA/IFS layer
- Renamed IPlugin and IPluginUtils to OSCPlugin and OSCPluginUtils

* Fri Feb 19 2010 Wiekus Beukes <wiekus.beukes@oracle.com> 1.0.9-2
- Changed UUID to use the string representation of the UUID

* Fri Feb 12 2010 Wiekus Beukes <wiekus.beukes@oracle.com> 1.0.9-1
- Added getStorageNames() methods

* Wed Feb 3 2010 Wiekus Beukes <wiekus.beukes@oracle.com> 1.0.8-1
- Initial packaging
